ALTER EVENT TRIGGER(7)

NAME
ALTER_EVENT_TRIGGER - change the definition of an event trigger

SYNOPSIS

ALTER EVENT TRIGGER name DISABLE
ALTER EVENT TRIGGER name ENABLE [ REPLICA | ALWAYS ]
ALTER EVENT TRIGGER name OWNER TO { new_owner | CURRENT_USER | SESSION_USER }
ALTER EVENT TRIGGER name RENAME TO new_name

DESCRIPTION

ALTER EVENT TRIGGER changes properties of an existing event trigger.

You must be superuser to alter an event trigger.

PARAMETERS

name
    The name of an existing trigger to alter.

new_owner
    The user name of the new owner of the event trigger.

new_name
    The new name of the event trigger.

DISABLE/ENABLE [ REPLICA | ALWAYS ] TRIGGER
    These forms configure the firing of event triggers. A disabled trigger is still known to the system, but is not executed when its triggering event occurs. See also session_replication_role.

COMPATIBILITY

There is no ALTER EVENT TRIGGER statement in the SQL standard.

SEE ALSO
CREATE EVENT TRIGGER (CREATE_EVENT_TRIGGER(7)), DROP EVENT TRIGGER (DROP_EVENT_TRIGGER(7))